Skip to main content
GET
/
imgs
Search N images
curl --request GET \
  --url https://api.wesog.com/imgs \
  --header 'API-Key: <api-key>'
import requests

url = "https://api.wesog.com/imgs"

headers = {"API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'API-Key': '<api-key>'}};

fetch('https://api.wesog.com/imgs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "image_id": "<string>",
      "src": "https://cdn.example.com/image/source.jpg",
      "src_path": "/data/images/source.jpg",
      "url_img_watermark": "https://cdn.example.com/image/wm.jpg",
      "url_img_thumbnail": "https://cdn.example.com/image/thumb.jpg",
      "title": "image123",
      "headline": "Sunset over the Hudson River",
      "caption": "A vibrant orange sunset reflecting on the river with the city skyline in silhouette.",
      "alt_text": "<string>",
      "ai_generated": true,
      "model_release": true,
      "property_release": true,
      "nsfw": true,
      "status": "Active",
      "date": "2024-10-19",
      "location": "123 Main St, near Central Park",
      "city": "New York",
      "country": "United States",
      "event": "Oscar awards 2024",
      "author": "Jane Doe",
      "provider": "Acme Inc.",
      "shot": "Portrait",
      "scene": "Town square",
      "technique": "Drawing",
      "medium": "Oil on canvas",
      "keywords": [
        "Tree",
        "Dog",
        "Ball",
        "Water"
      ],
      "categories": [
        "Sport",
        "Fashion",
        "Politics"
      ],
      "collections": [
        "Steet pics",
        "Exclusive"
      ],
      "height": 123,
      "width": 123,
      "n_faces": 123
    }
  ],
  "count": 123,
  "facets": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

API-Key
string
header
required

Query Parameters

q
string
default:""

Query filtering formula, must be url-encoded. Similarity uses i~, i~~, i~~~ for semantic similarity search and i=, i==, i=== for visual duplicate-detection search. i==== requests an additional, more precise duplicate-verification pass on the top candidate, slightly slower than the other comparisons; this mode is currently restricted to selected tenants.

page
integer
default:1

Page number. 1 is the first page.

Required range: x >= 1
limit
integer
default:50

Maximum number of images to return per page

Required range: 1 <= x <= 10000
sort_by
enum<string>
default:""

Sorting criterion. Note that sort_by=similarity only works if there are present "similary filters" on the Query Filtering Formula.

Available options:
,
image_id,
src,
url_img_watermark,
url_img_thumbnail,
height,
width,
aspect_ratio,
n_faces,
date,
title,
headline,
caption,
location,
city,
country,
event,
author,
provider,
shot,
scene,
medium,
technique,
similarity,
sim
sort_order
enum<string>
default:desc

Ascending or descending sorting.

Available options:
asc,
desc
fields
enum<string>[]

Array of fields to retrieve. Example: fields=image_id&fields=src

Available options:
image_id,
src,
src_path,
url_img_watermark,
url_img_thumbnail,
title,
headline,
caption,
alt_text,
ai_generated,
model_release,
property_release,
nsfw,
status,
date,
location,
city,
country,
event,
author,
provider,
shot,
scene,
technique,
medium,
keywords,
categories,
collections,
height,
width,
n_faces
facets
enum<string>[]

Array of facets to retrieve. Example: facets=author&facets=keywords

Available options:
ai_generated,
model_release,
property_release,
nsfw,
orientation,
status,
location,
city,
country,
event,
author,
provider,
shot,
scene,
medium,
technique,
keywords,
categories,
collections
count
boolean
default:false

Include total hit count?

lang
enum<string>
default:ml

Language code.

Available options:
ml,
en,
es

Response

Successful Response

results
image · object[]
required
count
integer
required
facets
Facets · object
required